Get media
curl --request GET \
--url https://api.rask.ai/api/library/v1/media/{media_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rask.ai/api/library/v1/media/{media_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rask.ai/api/library/v1/media/{media_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mime_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"size_bytes": 123,
"duration_seconds": 123,
"audio_rate": 123,
"audio_channels": 123,
"audio_codec_name": "<string>",
"video_codec_name": "<string>",
"video_frame_rate": 123,
"video_frame_width": 123,
"video_frame_height": 123,
"original_meta": {}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"path": "<string>",
"name": "<string>",
"url": "<string>",
"preview": {
"mime_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"size_bytes": 123,
"duration_seconds": 123,
"audio_rate": 123,
"audio_channels": 123,
"audio_codec_name": "<string>",
"video_codec_name": "<string>",
"video_frame_rate": 123,
"video_frame_width": 123,
"video_frame_height": 123,
"original_meta": {}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"path": "<string>",
"name": "<string>",
"url": "<string>"
}
}{
"status": "not_found",
"status_code": 404,
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Media
Get media
GET
/
api
/
library
/
v1
/
media
/
{media_id}
Get media
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the media uploaded
Response
Requested media
Kind of media uploaded
Available options:
video, audio, image Status of media uploaded
Available options:
processing, ready, failed Media mime type
Author ID
- VideoMeta
- AudioMeta
- ImageMeta
Show child attributes
Show child attributes
ID of media uploaded
Date and time of media creation
Date and time of the last media update
Path to the media
Name of media uploaded
Media url
Minimum string length:
1Show child attributes
Show child attributes
⌘I